// ①IFTTT WEBHOOKS処理
bool iftttWebhoos (String jobType) {
  String iftttEvent = "";
  if (jobType == "MAIL") {
    iftttEvent = String(iftttEvent1);
  } else if (jobType == "CLOUD") {
    iftttEvent = String(iftttEvent2);
  } else {
    return false;
  }
  // ②URL決定 maker.ifttt.com/trigger/{event}/with/key/{key}
  String pathUrl = "/trigger/" + String(iftttEvent) + "/with/key/" + String(iftttKey);
  String json = makeIftttValue();
  delay(10);
  // ③LED消灯（処理中が判別できるように消灯している）
  digitalWrite(LED_PIN, false);// 処理中はLED消灯
  // ④HTTPS接続と結果判定
  if (!wifiClientHttps.connect(iftttHost, 443)) {
    // ⑤HTTPS接続失敗時のシリアルモニタ表示
    Serial.println("Connection failed!");
  } else {
    // ⑥HTTPS接続成功時のシリアルモニタ表示
    Serial.println("Connected to ifttt! :" + pathUrl );
    // ⑦HTTPSデータ送信処理
    wifiClientHttps.println("POST https://" + String( iftttHost ) + pathUrl + " HTTP/1.1");
    wifiClientHttps.println("Host: " + String(iftttHost) + ":443");
    wifiClientHttps.println("Content-Type: application/json");
    wifiClientHttps.println("Connection: Keep-Alive");
    wifiClientHttps.println("Content-Length: "+ String(json.length()));
    wifiClientHttps.println("");
    wifiClientHttps.println(json);
    // ⑧HTTPS接続確認
    if (wifiClientHttps.connected()) {
      // ⑨ヘッダの受信表示処理
      Serial.println("--- Header ---");
      while (1) {
        String line = wifiClientHttps.readStringUntil('\n');
        Serial.println(line);
        if (line == "\r") {
          break; // ヘッダの末尾は\r\nのため、\r時に終了
        }
      }
      // ⑩本文(Body)の受信表示処理
      Serial.println("--- Body ---");
      while (wifiClientHttps.available()) {
        char c = wifiClientHttps.read();
        Serial.write(c);
      }
    }
    // ⑪HTTPS通信の終了
    wifiClientHttps.stop();
  }
  // ⑫終了処理（LED点灯、シリアルモニタ表示）
  digitalWrite(LED_PIN, true);
  return true;
}

// ⑬IFTTT送信データ作成
String makeIftttValue() {
  String value1 = getTimeStr();
  String value2 = makeSensorStr(2);  // JobType:2 IFTTT-WebHooks用文字作成
  String makeMassage ="{\"value1\":\"" + value1 + "\",\"value2\":\"" +  value2 + "\"}";
  Serial.println(makeMassage);
  return makeMassage;
}

// ⑭時間情報取得
String getTimeStr(){
  time_t n = time(NULL);
  time_t t;
  struct tm timeInfo;        // NTP時刻を格納するオブジェクト
  getLocalTime(&timeInfo);
  char s[20];
  const char* format = "%04d-%02d-%02d_%02d:%02d:%02d";
  getLocalTime(&timeInfo);
  sprintf(s, format, timeInfo.tm_year + 1900, timeInfo.tm_mon + 1, timeInfo.tm_mday,
          timeInfo.tm_hour, timeInfo.tm_min, timeInfo.tm_sec);
  if ( (int)(timeInfo.tm_year + 1900) < 2000) {
    return "adjust...";
  } else {
    return s;
  }
}
